// CStoredProcedures- Interface file

/////////////////////////////////////////////////////////////////////////////
// CStoredProcedures - results from ::SQLProcedures()

#ifndef _STORED_PROCEDURES_H
#define _STORED_PROCEDURES_H

class CStoredProcedures : public CRecordset
{
public:
	CStoredProcedures(CDatabase* pDatabase);
	DECLARE_DYNAMIC(CStoredProcedures)

// Field Data
	CString	m_strProcedureQualifier;
	CString	m_strProcedureOwner;
	CString	m_strProcedureName;
	CString	m_strRemarks;
	int		m_fProcedureType;

// Operations
	BOOL Open(LPCSTR pszProcQualifier = NULL,
				 LPCSTR pszProcOwner = NULL,
				 LPCSTR pszProcName = NULL,
				 UINT nOpenType = AFX_DB_USE_DEFAULT_TYPE);
// Overrides
	virtual CString GetDefaultConnect();
	virtual CString GetDefaultSQL();
	virtual void DoFieldExchange(CFieldExchange*);

// Implementation
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
};
#endif // end if _STORED_PROCEDURES_H